%global srcname p1_utils
# Erlang packages do not provide debug subpackages
%global debug_package %{nil}


Name:       erlang-%{srcname}
Version:    1.0.11
Release:    1%{?dist}

License:    ASL 2.0
Summary:    Erlang utility modules from ProcessOne
URL:        https://github.com/processone/p1_utils/
Source0:    https://github.com/processone/p1_utils/archive/%{version}/p1_utils-%{version}.tar.gz
Patch1:     erlang-p1_utils-0001-Don-t-use-function-from-Ejabberd.patch

BuildRequires: erlang-rebar


%description
p1_utils is an application containing ProcessOne modules and tools that are
leveraged in other development projects.


%prep
%autosetup -p1 -n %{srcname}-%{version}
# This file was 755 upstream, which causes an rpmlint warning. This pull request has
# been created to fix the issue upstream:
# https://github.com/processone/p1_utils/pull/4
chmod 0644 doc/style.css

# https://github.com/processone/p1_utils/pull/7
sed -i "/.*Created.*/d" src/p1_options.erl


%build
%{rebar_compile}
%{rebar_doc}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc doc
%doc README.md
%{erlang_appdir}


%changelog
* Tue Mar 27 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.11-1
- Update to 1.0.11 (#1559854).
- https://github.com/processone/p1_utils/blob/1.0.11/CHANGELOG.md

* Fri Nov 10 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.10-1
- Update to 1.0.10 (#1496444).
- https://github.com/processone/p1_utils/blob/1.0.10/CHANGELOG.md

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jul 12 2017 Peter Lemenkov <lemenkov@gmail.com> - 1.0.9-2
- Workaround  for unresolved dependency

* Sat Jul 08 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.9-1
- Update to 1.0.9 (#1426460).
- https://github.com/processone/p1_utils/blob/1.0.9/CHANGELOG.md

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 30 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.6-1
- Update to 1.0.6 (#1394996).
